
Katello - Bug #6027

Product update/create calls not checking for gpg keys correctly

06/03/2014 12:17 AM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Partha Aji   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1103943 Red Hat JIRA:  

Pull request:    

Description

It is possible via hammer to associate gpg key belonging to a different org to product. This needs to be fixed.

Associated revisions

Revision 97a65ce1 - 06/03/2014 07:00 PM - Partha Aji

Fixes #6027 - Made product gpg update more secure

It is possible via api to associate gpg key belonging to a different

org to product.

This commit checks for gpg key readable + gpg key org association before

accepting the provided gpg key.

Revision 3a34f82a - 06/05/2014 02:20 PM - Partha Aji

Merge pull request #4198 from parthaa/product-gpg

Fixes #6027 - Made product gpg update more secure

History

#1 - 06/03/2014 12:33 AM - Partha Aji

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1103943

#2 - 06/03/2014 01:08 AM - Eric Helms

- Target version set to 45

- Triaged changed from No to Yes

#3 - 06/05/2014 02:52 PM - Partha Aji

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:97a65ce151ac5dff5b02a7de878bad8dc124f41a.

#4 - 08/22/2014 08:28 AM - Eric Helms

- translation missing: en.field_release set to 13
